<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


if($_GET['LineaEntrada']) $LineaEntrada=$_GET['LineaEntrada'];

if(isset($_GET['discrepancias']) && $_GET['discrepancias']=='si') $pantallaDiscrepancias=true;
else $pantallaDiscrepancias=false;



foreach($_SESSION['productos'] as $producto) {
	if($producto['LineaEntrada']==$LineaEntrada) break;
}

$CaracteristicasProducto=arreglaArrayPXMobileProxiumResult($producto['CaracteristicasProducto']);

$pedirUbicacion=$_SESSION['seleccionUbicacionEntrada'];


/////////////////////$_SESSION['entrada']['VisibCodBarras']='N'; //Para pruebas

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/teclado-multilinea.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');


if($_POST['procesoReinformarPlay']=='1') {


	//Para modificar las características el proceso es "MODIFICACARACTERISTICAS"  con un solo parámetro= NumEntrada;LinEntrada;caract.en b64      "E2400142;2;R1KsNDEuMjAwfENBrDF8VFSsSXxFU6xO"
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#MODIFICACARACTERISTICAS#';
	
	$peticion.=$_SESSION['entrada']['NumEntrada'];
	$peticion.=';'.$LineaEntrada;
	
	
	$cadenaCaracteristicas='';
		
	foreach($CaracteristicasProducto as $caracteristica) {
	
		if($cadenaCaracteristicas!='') $cadenaCaracteristicas.='|';
		
		$valorGrabar=$_POST['caracteristica-'.$caracteristica['Codigo']];
		
		if($caracteristica['Tipo']==1) $valorGrabar=formateaNumeroParaProxium($valorGrabar); //convertir numeros
		
		$cadenaCaracteristicas.=$caracteristica['Codigo'].'¬'.$valorGrabar;
	}
	
	if($_GET['traza']=='si') {
	
		echo '<p>cadenaCaracteristicas:</p>';
		echo $cadenaCaracteristicas;
		
	}
	
	$cadenaCaracteristicas = iconv('UTF-8','ISO-8859-1',$cadenaCaracteristicas);
	$cadenaCaracteristicas = base64_encode($cadenaCaracteristicas);

	
	$peticion.=';'.$cadenaCaracteristicas; 

		
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	
	if($_GET['traza']=='si') {
	
		echo "<p>Proceso de grabació:</p>";
		echo "<p>".$peticion."</p>";
		print_r($resultado);
		
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') {
	
		?>
		<script>
			alert('Características reinformadas correctamente.',null,'ok')
			.done(function(){
				$('#popupCargando').show();
				window.location='entrada-mercancia-gs1.php<?php if($pantallaDiscrepancias) { ?>?discrepancias=si<?php } ?>';
			});
		</script>
        <?php
	}
	else {
		?>
		<script>
			alert('Error: <?php echo $valores[1]; ?>',null,'error');
        </script>
		<?php
		
		//Metemos las nuevas caracteristicas reinformadas, para que se pinten las ultimas
		
		$CaracteristicasProductoTemp=array();
		
		foreach($CaracteristicasProducto as $caracteristica) {
	
			$valorGrabar=$_POST['caracteristica-'.$caracteristica['Codigo']];
			
			if($caracteristica['Tipo']==1) $valorGrabar=formateaNumeroParaProxium($valorGrabar); //convertir numeros
			
			$caracteristica['ValorLeido']=$valorGrabar;
			
			$CaracteristicasProductoTemp[]=$caracteristica;
		}
		
		$CaracteristicasProducto=$CaracteristicasProductoTemp;
	}
	
}
else {

	?>
	<h2>Reinformar características de producto</h2>
	
	<table class="tablaFormateada anchoMaximo" style="font-size:0.95em">
		<tr>
			<th>Código</th>
			
			<?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
			<th>Código B</th>
			<?php } ?>
			
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
			<?php } ?>
			
			<?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
			<th>EAN</th>
			<?php } ?>
			
			<?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
			<th>Marca</th>
			<?php } ?>
			
			<th>Cantidad</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
			<th style="width:160px">Palet</th>
			
			<th>Formato</th>
			
		</tr>
		
		<?php
				
	
		
			$cadenaNumerosSerie='';
			$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
			foreach($numerosSerie as $numero) {
				if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
				$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
			}
			
			$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
			$cuantosPalets=count($palets);
			
			$colores='';
			if($producto['MarcaLineaNueva']=='S') $colores.=' fondoVerde';
			if($producto['MarcaDiscrepancia']=='S') $colores.=' rojo';
			else if($producto['MarcaLineaNueva']=='S') $colores.=' verde';
			
			?>
	
			<tr class="lineaEntrada lineaSeleccionable2 <?php echo $colores; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>">
				
				<td><?php echo $producto['Codigo']; ?></td>
				
				<?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
				<td><?php echo $producto['CodigoB']; ?></td>
				<?php } ?>
				
				<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
					<?php if($comportamiento['Activo']=='S') { ?>
						<td>
						<?php
						if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
							?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
						}
						else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
						else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
						?>
						</td> 
					<?php } ?>
				<?php } ?>
				
				<?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
				<td align="center"><?php echo $producto['EAN']; ?></td>
				<?php } ?>
				
				<?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
				<td align="center"><?php echo $producto['Marca']; ?></td>
				<?php } ?>
				
				<td align="right"><?php echo formateaNumeroDecimal($producto['Leido']); ?></td>
				<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo formateaNumeroDecimal($producto['LeidoCajas']); ?><br /></td><?php } ?>
				<td align="left">
				<?php
				
				$contadorPalet=1;
				
				foreach($palets as $palet) {
				
					if($palet['CodigoPalet']!='-') {
					
						if(!(float)$palet['CantidadLeida']>0) {
							 ?><span class="error"><?php echo $palet['CodigoPalet']; ?></span> <img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" alt="Eliminar" class="borrarPalet clicable" palet="<?php echo $palet['CodigoPalet']; ?>" style="margin: 0 0 -2px 10px"/><?php
						}
						else echo $palet['CodigoPalet'];
						
						if((float)$palet['CantidadLeida']>0) { echo " (".formateaNumeroDecimal($palet['CantidadLeida']).")"; }
						
						if($palet['IdPaletCliente']) echo '<br /><span style="color:#888888;font-size:0.86em">'.$palet['IdPaletCliente'].'</span>';
						if($palet['IdSubPaletCliente']) echo '<br /><span style="color:#888888;font-size:0.86em">'.$palet['IdSubPaletCliente'].'</span>';
						
						if($pedirUbicacion) echo '<br />'.$palet['UbicacionPalet'];
						
						if($contadorPalet<$cuantosPalets) echo '<hr>';
						$contadorPalet++;
					}
					
				}
				?>
				</td>
				
				<td align="center"><?php echo $producto['Formato']; ?></td>
	
				
			</tr>
		
	
	</table>
	
	
	
	<form id="formulario" name="formulario" method="post" action="">
	
		<?php $mostrarCaracteristicasValores=true; ?>
        <?php $ocultarChinchetas=true; ?>		
		<?php include('contenidos/entrada-mercancia-caracteristicas-edicion.php'); ?>
		
		<input type="hidden" name="procesoReinformarPlay" id="procesoReinformarPlay" value="" />
		
		<p><input type="button" id="botonConfirmar" name="botonConfirmar" value="CONFIRMAR" class="boton"/></p>
		<p><input type="button" id="botonVolver" name="botonVolver" value="Volver" class="boton reducido"/></p>
	
	</form>
	
	<script>
	
		function enviaFormulario() {
	
			$('#popupCargando').show();
			$('#formulario').submit();
			
		}
	
		function validaCamposReinformar() {
				
			if( hayCaracteristicasSinInformar() ) {
				alert('Es obligatorio informar todas las características del producto.',null,'error')
				.done( function() {
					return false;
				});
			}
			else return true;
				
		}
	
		$(document).ready(function() {
			
			$('#botonVolver').on('click',function(){
				$('#popupCargando').show();
				window.location='entrada-mercancia-gs1.php<?php if($pantallaDiscrepancias) { ?>?discrepancias=si<?php } ?>';
			});
			
			$('#botonConfirmar').on("click",function(e){
			
				e.preventDefault();
				
				if(validaCamposReinformar()) {
					
					if( hayCaracteristicasQueNoCoinciden() ) {
					
						confirm('ATENCION: Hay características que no coinciden con los valores informados en la ficha del producto.<br><br>¿Deseas continuar con el proceso de reinformar aunque se generen nuevas discrepancias?','advertencia','CONTINUAR','Revisar')
						.done(function(){
							$('#procesoReinformarPlay').val(1);
							enviaFormulario();
						});
					
					}
					else {
					
						$('#procesoReinformarPlay').val(1);
						enviaFormulario();
						
					}
	
					
				}
			});
			
		});
	
	</script>
	
	<?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');

?>
